#ifndef PWMTOOLS_H
#define PWMTOOLS_H
#include <f281xpwm.h>
#include <v_pwm24_v2.h>


//////////////////////////////////////////////////
//////////////////////////////////////////////////
//////////////////////////////////////////////////


void InitPWM(void);
void PWM_interrupt(void);
void PWM_interrupt_main(void);



void stop_wdog(void);
void start_wdog(void);


void global_time_interrupt(void);
void optical_bus_read_write_interrupt(void);
void pwm_analog_ext_interrupt(void);
void pwm_inc_interrupt(void);

void fix_pwm_freq_synchro_ain(void);
void async_pwm_ext_interrupt(void);



void calc_rotors(int flag);

void detect_work_revers(int direction, _iq fzad, _iq frot);

void calc_power_full(void);



//////////////////////////////////////////////////
//////////////////////////////////////////////////
//////////////////////////////////////////////////
//////////////////////////////////////////////////

extern PWMGEND pwmd;

//extern int var_freq_pwm_xtics;
//extern int var_period_max_xtics;
//extern int var_period_min_xtics;



#endif //PWMTOOLS_H

